function fvcvecs

% Initialize vectors A1, A2, B1, B2, C1, C2

global duration front advec diffus area; 
global size1 birth1 adeath1 ldeath1 settle1;
global size2 birth2 adeath2 ldeath2 settle2;
global length time area;
global delx delt xmax tmax;
global xf u k A a1 m1 mu1 nu1 c1 a2 m2 mu2 nu2 c2;
global A1 B1 C1 A2 B2 C2;

A1 = zeros(xmax,1);
B1 = zeros(xmax,1);
C1 = zeros(xmax,1);
D1 = zeros(xmax,1);
Beta1 = zeros(xmax,1);
Eps1 = zeros(xmax,1);
Delta1 = zeros(xmax,1);
A2 = zeros(xmax,1);
B2 = zeros(xmax,1);
C2 = zeros(xmax,1);
D2 = zeros(xmax,1);
Beta2 = zeros(xmax,1);
Eps2 = zeros(xmax,1);
Delta2 = zeros(xmax,1);

for i=1:xmax
     a = -(u/(2*delx) + k/delx^2);
     b1 = 1/delt + 2*k/delx^2 + nu1;
     b2 = 1/delt + 2*k/delx^2 + nu2;
     c = (u/(2*delx) - k/delx^2);
     if i==1
          A1(i) = 0;
          C1(i) = c;
          A2(i) = 0;
          C2(i) = c;
     elseif i<xmax
          A1(i) = a;
          B1(i) = b1;
          C1(i) = c;
          A2(i) = a;
          B2(i) = b2;
          C2(i) = c;
     else
          A1(i) = a;
          B1(i) = 1/delt - u/(2*delx) + k/delx^2 + nu1;
          C1(i) = 0;
          A2(i) = a;
          B2(i) = 1/delt - u/(2*delx) + k/delx^2 + nu2;
          C2(i) = 0;
     end
end